#ifndef WINDOW_H
#define WINDOW_H

#include <QWidget>

class MyGLWidget;
class QLabel;
class QSlider;

class Window : public QWidget
{
    Q_OBJECT

public:
    explicit Window(QWidget *parent = nullptr);
    ~Window();

    static bool optParentGlOnSelf;

public slots:
    void screenChanged();
    void dump();

protected:
    void keyPressEvent(QKeyEvent *event);

private:
    MyGLWidget *m_myGLWidget;
    QLabel *m_screenLabel;
    QSlider *m_rotXSlider;
    QSlider *m_rotYSlider;
    QSlider *m_rotZSlider;
};

#endif
